summary refs log tree commit diff
path: root/bin/firefox
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2022-11-21 17:23:57 +0100
committerRobert Günzler <r@gnzler.io>2022-11-24 21:10:22 +0100
commitd12aab5736cb35cd0c7d0853885736e9ebb489ad (patch)
tree0bc18ef9ca2ee3e496eb4399edfdfa6c861ad6ae /bin/firefox
parent6ab81fa8fb6cbc628854a652ada2ef88715af230 (diff)
firefox: add complete profile dir
and support librewolf
Diffstat (limited to 'bin/firefox')
-rwxr-xr-xbin/firefox8
1 files changed, 5 insertions, 3 deletions
diff --git a/bin/firefox b/bin/firefox
index 1b7e271..62d2610 100755
--- a/bin/firefox
+++ b/bin/firefox
@@ -7,6 +7,8 @@ container=${container:-}
 [ "${container}" = "firejail" ] && exec xdg-open "$@"
 
 bin=${FIREFOX_BIN:-/usr/bin/firefox}
+[ ! -x "$bin" ] && bin=/usr/bin/librewolf
+[ ! -x "$bin" ] && exit 1
 
 # enable touch device support
 export MOZ_USE_XINPUT2=1
@@ -21,11 +23,11 @@ firefox)
 	export MOZ_APP_REMOTINGNAME=firefox
 	exec "${bin}" \
 		--name "$MOZ_APP_REMOTINGNAME" \
-		--profile "$HOME"/.mozilla/firefox/wr7p23up.default-nightly \
+		--profile "$HOME"/.mozilla/firefox/hibiki.default \
 		"$@"
 	;;
 firefox-private)
-	exec "${bin}" --profile "$HOME"/.mozilla/firefox/wr7p23up.default-nightly \
+	exec "${bin}" --profile "$HOME"/.mozilla/firefox/hibiki.default \
 		"$@" --private-window
 	;;
 
@@ -44,7 +46,7 @@ workfox)
 	export MOZ_APP_REMOTINGNAME=workfox
 	exec "${bin}" \
 		--name "$MOZ_APP_REMOTINGNAME" \
-		--profile "$HOME"/.mozilla/firefox/d2ps1x6l.work \
+		--profile "$HOME"/.mozilla/firefox/hibiki.work \
 		"$@"
 	;;